<?php 
ob_start("ob_gzhandler");
require_once("currencies.php"); 
require_once("config.php"); 
$value = floatval($_GET['v']);
if($value == 0)
	$value = 1;

$from 	= mb_strtoupper(preg_replace('([^A-Za-z0-9])', '', trim($_GET['from'])));
$to 	= mb_strtoupper(preg_replace('([^A-Za-z0-9])', '', trim($_GET['to'])));
$cache 	= json_decode(file_get_contents("cache.txt"));
?>
<html lang="en-EN">
	<head>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<meta http-equiv="x-ua-compatible" content="ie=edge">
		
		<link rel="stylesheet" href="<?php echo $config["baseurl"]; ?>css/style.css?v=1.0.7">
		<link rel="icon" type="image/png" sizes="32x32" href="<?php echo $config["baseurl"]; ?>images/icon.png?v=1">
		<title><?php echo $config['title']; ?></title>
		<meta name="description" content="<?php echo $config['description']; ?>">
		<meta name="theme-color" content="#419EFF">
		<link rel="manifest" href="/manifest.json">
		<script>
			var config = <?php echo json_encode($config); ?>;
			var request_from = '<?php echo $from; ?>';
			var request_to = '<?php echo $to; ?>';
			var currencies = <?php echo $currencies; ?>;
			var token = '<?php echo $config['token']; ?>';
		</script>
	</head>
	<body>
		<div class="loading-main"><div class="loading-animation"></div></div>
		<div class="main">

			<div class="calculator">
			<div class="donate">Donate</div>
			<ul class="donate-list">
				<?php foreach ($config['donations'] as $key => $wallet) {
					?>
					<li>
						<span class="c"><?php echo $key; ?></span>
						<span class="w"><?php echo $wallet; ?></span>
					</li>
					<?php
				}?>
			</ul>
				<h1><?php echo $config['headerTitle']; ?></h1>
				<h2><?php echo $config['headerSubtitle']; ?></h2>
				<div class="convert">
					<i aria-hidden="true">⇄</i>

					<div class="col">
						<span class="label">From</span>
						<select aria-label="From" id="from">
						</select>
					</div>
					<div class="col">
						<span class="label">To</span>
						<select aria-label="To" id="to">
						</select>
					</div>
					<div class="values">
						<div class="col">
							<input aria-label="Amount" type="number" min="1" max="999" id="value" placeholder="Amount" value="<?php echo $value; ?>">
						</div>
						<div class="col">
							
								<span class="variation " aria-hidden="true"></span>
							

							<input aria-label="Result" type="text" id="result" readonly placeholder="Result" value="">
						</div>
					</div>
				</div>
			</div>
			<?php if($config['ads']){ ?>
			<div class="ads ads1">
				<?php echo $config['ads']; ?>
			</div>
			<?php } ?>
			<div class="recent">
				<div class="title">Latest conversions</div>
				<ul>
					<?php foreach ($cache as $key => $item) {
						$fixed = $config['fixed'];
						if(number_format($item->result,$fixed) <= 0)
							$fixed = $config['fixed2'];

						?>
						<li>
							<a title="<?php echo $item->value; ?> <?php echo $item->from; ?> to <?php echo $item->to; ?> = <?php echo number_format($item->result,$fixed); ?>" href="<?php echo $config['baseurl']; ?><?php echo $item->value."/".$item->from."/".$item->to; ?>">
								
								<span class="conv"><?php echo $item->value; ?> <?php echo $item->from; ?> <i class="fa fa-long-arrow-right" aria-hidden="true"></i> <?php echo $item->to; ?></span>
								<span class="result"><?php echo number_format($item->result,$fixed); ?></span>
							</a>
						</li>
						<?php
					}?>


				</ul>
			</div>
		</div>
		<div class="footer">
			<div class="about">
				<strong><?php echo $config['footer']['title']; ?></strong>
				<p><?php echo $config['footer']['about']; ?></p>
				
				<?php echo $config['footer']['copyright']; ?>
				<ul class="social">
					<?php foreach ($config['social'] as $key => $profile) {
						?>
						<li>
							<a href="<?php echo $profile; ?>"><?php echo $key; ?></a>
						</li>
						<?php
					}?>
				</ul>
			</div>
		</div>
		
		
		

		<script src="<?php echo $config["baseurl"]; ?>js/app.js?v=1.0.7"></script>

		
	</body>
</html>