self.addEventListener('install', e => {
    
    let version = '1.0.7';
    e.waitUntil(
        caches.open('offlineapp').then(cache => {
            return cache.addAll([
                `/offline.php`,
                `/css/style.css?v=${version}`,
                `/images/bg.jpg?v=${version}`,
                `/images/icon.png?v=${version}`,
                `/images/icon-app.png?v=${version}`,
                `/js/app.js?v=${version}`
            ])
                .then(() => self.skipWaiting());
        })
    )
});

self.addEventListener('activate', event => {
    event.waitUntil(self.clients.claim());
});



self.addEventListener('fetch', event => {
    event.respondWith(
        caches.match(event.request, { ignoreSearch: false }).then(response => {
            
            if (event.request.url.indexOf("ajax.php") >=0)
            {
                console.log("[WS] Response from server", event.request.url);
                return fetch(event.request) || response;
            }
            return response || fetch(event.request) ;
           
        }).catch(function (e) {
            
            // If both fail, show a generic fallback:
            return caches.match('/offline.php');
            // However, in reality you'd have many different
            // fallbacks, depending on URL & headers.
            // Eg, a fallback silhouette image for avatars.
        })
    );
});
